Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.resolution
Class UnresolvedBindingValidator.InvalidKeys

    java.lang.Object
      com.google.gwt.inject.rebind.resolution.UnresolvedBindingValidator.InvalidKeys

Enclosing class:
  UnresolvedBindingValidator

    public static class UnresolvedBindingValidator.InvalidKeys

extends java.lang.Object

Container for information about invalid keys.

Method Summary
`java.util.Collection<Key<?>>` | `getInvalidOptionalKeys()`
`java.util.Set<java.util.Map.Entry<Key<?>,java.lang.String>>` | `getInvalidRequiredKeys()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInvalidRequiredKeys

    public java.util.Set<java.util.Map.Entry<Key<?>,java.lang.String>> getInvalidRequiredKeys()

### getInvalidOptionalKeys

    public java.util.Collection<Key<?>> getInvalidOptionalKeys()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD